-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Servidor: localhost:3306
-- Tiempo de generación: 04-12-2021 a las 14:44:18
-- Versión del servidor: 5.7.33
-- Versión de PHP: 7.4.19

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `store_xyz`
--

DELIMITER $$
--
-- Procedimientos
--
CREATE DEFINER=`root`@`localhost` PROCEDURE `Estado` (IN `dato` INT)  BEGIN
    SELECT * 
    FROM productos
    WHERE estado = dato;
END$$

CREATE DEFINER=`root`@`localhost` PROCEDURE `Hoy` (IN `hoy` DATE)  NO SQL
BEGIN
    SELECT * 
    FROM ventas
    WHERE fecha = hoy;
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `acciones`
--

CREATE TABLE `acciones` (
  `id` int(11) NOT NULL,
  `usuario` varchar(250) NOT NULL,
  `fecha` date NOT NULL,
  `accion` varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `acciones`
--

INSERT INTO `acciones` (`id`, `usuario`, `fecha`, `accion`) VALUES
(1, 'root@localhost', '2021-10-30', 'Se inserto una venta'),
(2, 'root@localhost', '2021-10-30', 'Se actualizo una venta'),
(3, 'root@localhost', '2021-10-30', 'Se elimino una venta'),
(4, 'root@localhost', '2021-11-28', 'Se inserto una venta');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `categorias`
--

CREATE TABLE `categorias` (
  `id_categoria` int(11) NOT NULL,
  `categoria` varchar(250) NOT NULL,
  `imagen_categoria` varchar(250) NOT NULL,
  `estado` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `categorias`
--

INSERT INTO `categorias` (`id_categoria`, `categoria`, `imagen_categoria`, `estado`) VALUES
(3, 'enfriamiento', 'categorias/enfriamiento.png', 0),
(4, 'Monitores', 'categorias/Monitores.png', 0),
(21, 'almacenamiento', 'categorias/almacenamiento.jpg', 1),
(22, 'Tarjeta grafica', 'categorias/Tarjeta grafica.jpg', 1),
(23, 'Procesadores', 'categorias/Procesadores.jpg', 1),
(24, 'Case para pc', 'categorias/Case para pc.jpg', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `clientes`
--

CREATE TABLE `clientes` (
  `id_cliente` int(11) NOT NULL,
  `nombre_c` varchar(250) NOT NULL,
  `telefono` varchar(250) NOT NULL,
  `direccion` varchar(250) NOT NULL,
  `estado` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `clientes`
--

INSERT INTO `clientes` (`id_cliente`, `nombre_c`, `telefono`, `direccion`, `estado`) VALUES
(1, 'Juan', '122', 'San salvador', 1),
(2, 'Luis', '12551', 'San Salvador', 1),
(3, 'Manuel', '12345678', 'Usulutan', 1),
(4, 'Javier', '12345678', 'San Vicente', 1),
(5, 'Oliver', '12345678', 'San Vicente', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `compras`
--

CREATE TABLE `compras` (
  `id_compra` int(11) NOT NULL,
  `id_proveedor` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `id_usuario` int(11) NOT NULL,
  `cantidad` int(11) NOT NULL,
  `total_c` int(11) NOT NULL,
  `fecha` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `compras`
--

INSERT INTO `compras` (`id_compra`, `id_proveedor`, `id_producto`, `id_usuario`, `cantidad`, `total_c`, `fecha`) VALUES
(1, 2, 1, 4, 4, 200, '2021-01-01'),
(2, 2, 2, 4, 4, 200, '2021-12-31'),
(3, 1, 1, 4, 1, 2, '2021-10-01'),
(4, 1, 2, 5, 1, 1, '2021-10-19'),
(5, 1, 3, 5, 20, 2000, '2021-10-19'),
(6, 1, 2, 5, 5, 200, '2021-10-30'),
(7, 1, 1, 5, 10, 1000, '2021-10-30'),
(8, 1, 4, 5, 10, 1000, '2021-11-28');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `inventarios`
--

CREATE TABLE `inventarios` (
  `id_inventario` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `id_categoria` int(11) NOT NULL,
  `stock` float NOT NULL,
  `estado` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `inventarios`
--

INSERT INTO `inventarios` (`id_inventario`, `id_producto`, `id_categoria`, `stock`, `estado`) VALUES
(1, 1, 3, 10, 1),
(93, 2, 23, 4, 0),
(94, 3, 21, 17, 0),
(95, 4, 24, 5, 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `limites_productos`
--

CREATE TABLE `limites_productos` (
  `id_limite` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `limite` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `limites_productos`
--

INSERT INTO `limites_productos` (`id_limite`, `id_producto`, `limite`) VALUES
(1, 1, 1),
(23, 4, 20);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `productos`
--

CREATE TABLE `productos` (
  `id_producto` int(11) NOT NULL,
  `id_usuario` int(11) DEFAULT NULL,
  `nombre_producto` varchar(250) NOT NULL,
  `descripcion` text NOT NULL,
  `unidad_medida` varchar(250) NOT NULL,
  `precio_venta` float NOT NULL,
  `imagen` varchar(250) NOT NULL,
  `estado` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `productos`
--

INSERT INTO `productos` (`id_producto`, `id_usuario`, `nombre_producto`, `descripcion`, `unidad_medida`, `precio_venta`, `imagen`, `estado`) VALUES
(1, 5, 'grafica gtx 110ti', 'gama baja', 'unidad', 200, 'productos/enfriamiento/grafica.jpg', 1),
(2, 5, 'Intel 911', 'Procesador de alta gama', 'unica1', 1, 'productos/Procesadores/Intel 91.jpg', 0),
(3, 5, 'Ram Hyperx', 'Memoria de alto rendimiento', 'Unidad', 100, 'productos/almacenamiento/Ram Hyperx.jpg', 1),
(4, 5, 'Case NZTX', 'Case de alto rendimiento', 'Unico', 200, 'productos/Case para pc/Case NZTX.jpg', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `proveedores`
--

CREATE TABLE `proveedores` (
  `id_proveedor` int(11) NOT NULL,
  `nombre` varchar(250) NOT NULL,
  `direccion` varchar(250) NOT NULL,
  `telefono` varchar(250) NOT NULL,
  `estado` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `proveedores`
--

INSERT INTO `proveedores` (`id_proveedor`, `nombre`, `direccion`, `telefono`, `estado`) VALUES
(1, 'Kayfa', 'San Salvador', '1524151621', 1),
(2, 'Zona D', 'San Salvador', '1524151621', 1),
(3, 'Miles', 'Nice', '12345678', 1);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE `usuarios` (
  `id_usuario` int(11) NOT NULL,
  `usuario` varchar(50) NOT NULL,
  `passw` text,
  `tipo` int(11) DEFAULT NULL,
  `estado` int(11) DEFAULT NULL,
  `token` varchar(10) DEFAULT NULL,
  `email` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`id_usuario`, `usuario`, `passw`, `tipo`, `estado`, `token`, `email`) VALUES
(4, 'noe', '$2y$10$FD12Y3DoLs2HBXm.Ml/DbeQGZScKn9dpHDDvvFP6ozZGq2nQf5hGK', 1, 1, NULL, 'noerivera@gmail.com'),
(5, 'miguel', '$2y$10$FD12Y3DoLs2HBXm.Ml/DbeQGZScKn9dpHDDvvFP6ozZGq2nQf5hGK', 1, 1, NULL, 'torres@gmail.com'),
(6, 'Alvaro', '$2y$10$FD12Y3DoLs2HBXm.Ml/DbeQGZScKn9dpHDDvvFP6ozZGq2nQf5hGK', 1, 1, NULL, 'alvaro@gmail.com'),
(7, 'Elias', '$2y$10$FD12Y3DoLs2HBXm.Ml/DbeQGZScKn9dpHDDvvFP6ozZGq2nQf5hGK', 1, 1, NULL, 'elias@gmail.com');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ventas`
--

CREATE TABLE `ventas` (
  `id_venta` int(11) NOT NULL,
  `id_cliente` int(11) NOT NULL,
  `id_producto` int(11) NOT NULL,
  `id_usuario` int(11) DEFAULT NULL,
  `cantidad` float NOT NULL,
  `total_v` float NOT NULL,
  `fecha` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Volcado de datos para la tabla `ventas`
--

INSERT INTO `ventas` (`id_venta`, `id_cliente`, `id_producto`, `id_usuario`, `cantidad`, `total_v`, `fecha`) VALUES
(5, 3, 1, 4, 5, 200, '2021-09-02'),
(6, 3, 1, 4, 20, 200, '2021-09-17'),
(7, 5, 1, 4, 5, 200, '2021-09-17'),
(8, 3, 1, 4, 12, 200, '2021-09-18'),
(9, 3, 1, 4, 5, 200, '2021-09-18'),
(10, 3, 1, 4, 20, 200, '2021-09-18'),
(11, 3, 1, 4, 5, 200, '2021-09-18'),
(12, 3, 1, 4, 202, 200, '2021-09-14'),
(13, 3, 1, 4, 52, 200, '2021-09-07'),
(14, 4, 1, 5, 1, 200, '2021-09-02'),
(15, 4, 1, 5, 5, 200, '2021-09-02'),
(16, 4, 1, 5, 20, 200, '2021-09-17'),
(17, 4, 1, 5, 5, 200, '2021-09-17'),
(18, 4, 1, 5, 12, 200, '2021-09-18'),
(19, 4, 1, 5, 5, 200, '2021-09-18'),
(20, 4, 1, 5, 20, 200, '2021-09-18'),
(21, 4, 1, 5, 5, 200, '2021-09-18'),
(22, 4, 1, 5, 202, 200, '2021-09-14'),
(23, 4, 1, 5, 52, 200, '2021-09-07'),
(24, 1, 1, 6, 1, 200, '2021-09-02'),
(25, 1, 1, 6, 5, 200, '2021-09-02'),
(26, 1, 1, 6, 20, 200, '2021-09-17'),
(27, 1, 1, 6, 5, 200, '2021-09-17'),
(28, 1, 1, 6, 12, 200, '2021-09-18'),
(29, 1, 1, 6, 5, 200, '2021-09-18'),
(30, 1, 1, 6, 20, 200, '2021-09-18'),
(31, 1, 1, 6, 5, 200, '2021-09-18'),
(32, 1, 1, 6, 202, 200, '2021-09-14'),
(33, 1, 1, 6, 52, 200, '2021-09-07'),
(34, 2, 1, 7, 1, 200, '2021-09-02'),
(35, 2, 1, 7, 5, 200, '2021-09-02'),
(36, 2, 1, 7, 20, 200, '2021-09-17'),
(37, 2, 1, 7, 5, 200, '2021-09-17'),
(38, 2, 1, 7, 12, 200, '2021-09-18'),
(39, 2, 1, 7, 5, 200, '2021-09-18'),
(40, 2, 1, 7, 20, 200, '2021-09-18'),
(41, 2, 1, 7, 5, 200, '2021-09-18'),
(42, 2, 1, 7, 202, 200, '2021-09-14'),
(43, 2, 1, 7, 52, 200, '2021-09-07'),
(44, 1, 2, 5, 1, 1, '2021-10-19'),
(45, 1, 3, 5, 2, 200, '2021-10-19'),
(46, 3, 1, 5, 1, 0, '2021-10-22'),
(47, 1, 3, 5, 1, 100, '2021-10-30'),
(48, 5, 1, 5, 1, 200, '2021-10-30'),
(49, 2, 4, 5, 5, 1000, '2021-11-28');

--
-- Disparadores `ventas`
--
DELIMITER $$
CREATE TRIGGER `delete_venta` BEFORE DELETE ON `ventas` FOR EACH ROW INSERT INTO acciones (usuario, fecha, accion) VALUES
(CURRENT_USER, CURRENT_DATE, 'Se elimino una venta')
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `update_ventas` BEFORE UPDATE ON `ventas` FOR EACH ROW INSERT INTO acciones (usuario, fecha, accion) VALUES
(CURRENT_USER, CURRENT_DATE, 'Se actualizo una venta')
$$
DELIMITER ;
DELIMITER $$
CREATE TRIGGER `venta_insert` BEFORE INSERT ON `ventas` FOR EACH ROW INSERT INTO acciones (usuario, fecha, accion) VALUES
(CURRENT_USER, CURRENT_DATE, 'Se inserto una venta')
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura Stand-in para la vista `view_registros_ventas`
-- (Véase abajo para la vista actual)
--
CREATE TABLE `view_registros_ventas` (
`id_venta` int(11)
,`nombre_producto` varchar(250)
,`usuario` varchar(50)
,`nombre_c` varchar(250)
,`cantidad` float
,`total_v` float
,`fecha` date
);

-- --------------------------------------------------------

--
-- Estructura para la vista `view_registros_ventas`
--
DROP TABLE IF EXISTS `view_registros_ventas`;

CREATE ALGORITHM=UNDEFINED DEFINER=`root`@`localhost` SQL SECURITY DEFINER VIEW `view_registros_ventas`  AS SELECT `ventas`.`id_venta` AS `id_venta`, `productos`.`nombre_producto` AS `nombre_producto`, `usuarios`.`usuario` AS `usuario`, `clientes`.`nombre_c` AS `nombre_c`, `ventas`.`cantidad` AS `cantidad`, `ventas`.`total_v` AS `total_v`, `ventas`.`fecha` AS `fecha` FROM (((`ventas` join `productos` on((`productos`.`id_producto` = `ventas`.`id_producto`))) join `usuarios` on((`usuarios`.`id_usuario` = `ventas`.`id_usuario`))) join `clientes` on((`clientes`.`id_cliente` = `ventas`.`id_cliente`))) WHERE (`ventas`.`fecha` between '2021-01-01' and '2021-12-31') ;

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `acciones`
--
ALTER TABLE `acciones`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `categorias`
--
ALTER TABLE `categorias`
  ADD PRIMARY KEY (`id_categoria`);

--
-- Indices de la tabla `clientes`
--
ALTER TABLE `clientes`
  ADD PRIMARY KEY (`id_cliente`);

--
-- Indices de la tabla `compras`
--
ALTER TABLE `compras`
  ADD PRIMARY KEY (`id_compra`),
  ADD KEY `id_producto_fk4` (`id_producto`),
  ADD KEY `id_proveedor_fk` (`id_proveedor`),
  ADD KEY `id_usuario_fk3` (`id_usuario`);

--
-- Indices de la tabla `inventarios`
--
ALTER TABLE `inventarios`
  ADD PRIMARY KEY (`id_inventario`),
  ADD KEY `id_producto_fk` (`id_producto`),
  ADD KEY `id_categora_fk` (`id_categoria`);

--
-- Indices de la tabla `limites_productos`
--
ALTER TABLE `limites_productos`
  ADD PRIMARY KEY (`id_limite`),
  ADD KEY `id_producto_fk2` (`id_producto`);

--
-- Indices de la tabla `productos`
--
ALTER TABLE `productos`
  ADD PRIMARY KEY (`id_producto`),
  ADD KEY `id_usuario_fk` (`id_usuario`);

--
-- Indices de la tabla `proveedores`
--
ALTER TABLE `proveedores`
  ADD PRIMARY KEY (`id_proveedor`);

--
-- Indices de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD PRIMARY KEY (`id_usuario`);

--
-- Indices de la tabla `ventas`
--
ALTER TABLE `ventas`
  ADD PRIMARY KEY (`id_venta`),
  ADD KEY `id_producto_fk3` (`id_producto`),
  ADD KEY `id_cliente_fk` (`id_cliente`),
  ADD KEY `id_usuario_fk2` (`id_usuario`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `acciones`
--
ALTER TABLE `acciones`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT de la tabla `categorias`
--
ALTER TABLE `categorias`
  MODIFY `id_categoria` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;

--
-- AUTO_INCREMENT de la tabla `clientes`
--
ALTER TABLE `clientes`
  MODIFY `id_cliente` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT de la tabla `compras`
--
ALTER TABLE `compras`
  MODIFY `id_compra` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT de la tabla `inventarios`
--
ALTER TABLE `inventarios`
  MODIFY `id_inventario` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=96;

--
-- AUTO_INCREMENT de la tabla `limites_productos`
--
ALTER TABLE `limites_productos`
  MODIFY `id_limite` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=24;

--
-- AUTO_INCREMENT de la tabla `productos`
--
ALTER TABLE `productos`
  MODIFY `id_producto` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT de la tabla `proveedores`
--
ALTER TABLE `proveedores`
  MODIFY `id_proveedor` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  MODIFY `id_usuario` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT de la tabla `ventas`
--
ALTER TABLE `ventas`
  MODIFY `id_venta` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=50;

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `compras`
--
ALTER TABLE `compras`
  ADD CONSTRAINT `id_producto_fk4` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`),
  ADD CONSTRAINT `id_proveedor_fk` FOREIGN KEY (`id_proveedor`) REFERENCES `proveedores` (`id_proveedor`),
  ADD CONSTRAINT `id_usuario_fk3` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`);

--
-- Filtros para la tabla `inventarios`
--
ALTER TABLE `inventarios`
  ADD CONSTRAINT `id_categora_fk` FOREIGN KEY (`id_categoria`) REFERENCES `categorias` (`id_categoria`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `id_producto_fk` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `limites_productos`
--
ALTER TABLE `limites_productos`
  ADD CONSTRAINT `id_producto_fk2` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `productos`
--
ALTER TABLE `productos`
  ADD CONSTRAINT `id_usuario_fk` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `ventas`
--
ALTER TABLE `ventas`
  ADD CONSTRAINT `id_cliente_fk` FOREIGN KEY (`id_cliente`) REFERENCES `clientes` (`id_cliente`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `id_producto_fk3` FOREIGN KEY (`id_producto`) REFERENCES `productos` (`id_producto`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `id_usuario_fk2` FOREIGN KEY (`id_usuario`) REFERENCES `usuarios` (`id_usuario`) ON DELETE NO ACTION ON UPDATE NO ACTION;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
